summaryrefslogtreecommitdiff
path: root/git.zsh
diff options
context:
space:
mode:
authorRobby Russell <robby@planetargon.com>2009-08-28 11:14:17 -0700
committerRobby Russell <robby@planetargon.com>2009-08-28 11:14:17 -0700
commit5da20b9dddb1f7a9110675ded5df59c4c3ed1b83 (patch)
tree142b4940f34ce07495c407692a0c299c18df7461 /git.zsh
parente20401e04e057a39c228dbb99dda68ec7fa4235a (diff)
downloadzsh-5da20b9dddb1f7a9110675ded5df59c4c3ed1b83.tar.gz
zsh-5da20b9dddb1f7a9110675ded5df59c4c3ed1b83.tar.bz2
zsh-5da20b9dddb1f7a9110675ded5df59c4c3ed1b83.zip
Importing initial files after reorganizing stuff.
Diffstat (limited to 'git.zsh')
-rw-r--r--git.zsh19
1 files changed, 19 insertions, 0 deletions
diff --git a/git.zsh b/git.zsh
new file mode 100644
index 000000000..944096332
--- /dev/null
+++ b/git.zsh
@@ -0,0 +1,19 @@
+# get the name of the branch we are on
+function git_prompt_info() {
+ ref=$(git symbolic-ref HEAD 2> /dev/null) || return
+ branch=${ref#refs/heads/}
+
+ if [[ -d .git ]]; then
+ CURRENT_BRANCH="%{$fg[red]%}git:(%{$fg[green]${branch}%{$fg[red])"
+ else
+ CURRENT_BRANCH=''
+ fi
+
+
+ #echo "%{$fg[red]%}git:(%{$fg[green]$CURRENT_BRANCH%{$fg[red])"
+ echo $CURRENT_BRANCH
+}
+
+parse_git_dirty () {
+ [[ $(git status | tail -n1) != "nothing to commit (working directory clean)" ]] && echo "%{$fg[white] ♻ "
+}